%define major		4
%define libname		%mklibname datovka %{major}
%define develname	%mklibname datovka -d

Name:		libdatovka
Version:	0.3.0
Release:	%mkrel 1
Summary:	Client library for accessing SOAP services of ISDS (Czech Data Boxes)
Group:		System/Libraries
License:	LGPLv3+ and GPLv3+
URL:		https://www.datovka.cz/
Source0:	https://secure.nic.cz/files/datove_schranky/%{name}/%{name}-%{version}.tar.xz
# partial fix for the https://gitlab.nic.cz/datovka/libdatovka/-/issues/17
# --disable-fatalwarnings can be dropped once correctly fixed upstream
Patch0:		libdatovka-0.2.1-gcc-12-build-fix.patch
BuildRequires:	dos2unix
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	coreutils
BuildRequires:	docbook-style-xsl
BuildRequires:	gnupg2
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)

%description
Client library for accessing SOAP services of ISDS (Informační systém
datových schránek / Data Box Information System) as defined in Czech ISDS Act
(300/2008 Coll.) <http://portal.gov.cz/zakon/300/2008> and implied documents.

#------------------------------------------------

%package -n	%{libname}
Summary:	Client library for accessing SOAP services of ISDS (Czech Data Boxes)
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Client library for accessing SOAP services of ISDS (Informační systém
datových schránek / Data Box Information System) as defined in Czech ISDS Act
(300/2008 Coll.) <http://portal.gov.cz/zakon/300/2008> and implied documents.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------

%package doc
Summary:	Documentation files for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation files for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

dos2unix src/*.{c,h}

%build
autoreconf -fi
%configure \
	--enable-doc \
	--disable-online-test \
	--disable-static \
	--enable-test \
	--with-libcurl \
	--disable-fatalwarnings

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
make check

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*

%files i18n -f %{name}.lang

%files doc
%doc client


%changelog
* Sun Feb 19 2023 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1944079
- new version: 0.3.0
- now libmajor is 4

* Sun Nov 06 2022 neoclust <neoclust> 0.2.1-1.mga9
+ Revision: 1904165
- New version 	0.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Apr 16 2021 daviddavid <daviddavid> 0.1.2-1.mga9
+ Revision: 1715943
- new version: 0.1.2

* Sat Mar 20 2021 daviddavid <daviddavid> 0.1.1-2.mga9
+ Revision: 1705285
- fix dependencies

* Fri Mar 05 2021 daviddavid <daviddavid> 0.1.1-1.mga9
+ Revision: 1698892
- initial package libdatovka

